<?php

use App\Http\Controllers\V1\PermissionController;

Route::get('permissions', [PermissionController::class, 'index']);
Route::get('/', [PermissionController::class, 'rolesIndex']);
Route::get('/paginated', [PermissionController::class, 'rolesIndexWithPaginate']);

Route::get('/{id}', [PermissionController::class, 'getRoleById']);
Route::post('create', [PermissionController::class, 'storeRole']);
Route::post('update/{id}', [PermissionController::class, 'updateRole']);
Route::delete('/{id}', [PermissionController::class, 'destroy']);
